.border-rounded1 {
    border-radius: 5px;
}

.border-rounded2 {
    border-radius: 10px;
}

.border-rounded3 {
    border-radius: 15px;
}

.border-rounded4 {
    border-radius: 20px;
}

/* Home slider */

.sl_main {
    overflow: hidden;
}


.center_box {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* End Home slider */
.home_slider_text_box {

    height: 100%;
    display: flex;
    justify-content: space-evenly;
    flex-direction: column;
    align-items: center;

}

.ic {
    padding: 6px 10px;
    background: #1f935e;
    border-radius: 18px;
}

.ic:hover {
    background: #ffca2b;
}

.ten-line-ellipsis {
    display: -webkit-box;
    -webkit-line-clamp: 10;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    /* Optional: adds '...' */

    /* Optional: Set a width for context */
    width: 100%;
}


.five-line-ellipsis {
    display: -webkit-box;
    /* Required for line-clamp to work */
    -webkit-line-clamp: 3;
    /* Specifies the number of lines (5) */
    -webkit-box-orient: vertical;
    /* Required: sets the box orientation */
    overflow: hidden;
    /* Hides the text that exceeds 5 lines */
    text-overflow: ellipsis;
    /* Adds the "..." at the end of the 5th line */
}

/* .header_top_row a {
    color: white !important;
} */
/* .header_top_row svg{
     color: white !important;
} */

.icons_l svg {
    color: white !important;
    padding-bottom: 3px;
}

.height_slider {
    height: 100%;

}



.slider_para {
    /* display: flex; */
    justify-content: center;
    align-items: center;
    align-content: center;
    /* Vertically centers content in block containers */
    text-align: center;
    min-height: 80px;
}


.marquee-container {
    width: 100%;
    overflow: hidden;
    /* Clips the text at the edges */
    background: #222;
    color: red;
    white-space: nowrap;
    /* Prevents text from wrapping to next line */
    padding: 10px 0;
}

.marquee-content {
    display: inline-block;
    animation: scroll-left 15s linear infinite;
}

.item {
    display: inline-block;
    padding: 0 10px;
    /* Spacing between notices */
    font-family: sans-serif;
    font-weight: bold;
}

/* Pause when user hovers */
.marquee-container:hover .marquee-content {
    animation-play-state: paused;
}

.bell {

    background-color: #1f935e;
    height: 45px;
    width: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
}

@keyframes scroll-left {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

.ellipsis-2-lines {
    display: -webkit-box;
    /* Required for line-clamp to work */
    -webkit-line-clamp: 2;
    /* Number of lines to show before truncation */
    -webkit-box-orient: vertical;
    /* Defines the orientation of the box */
    overflow: hidden;
    /* Hides the text that overflows the box */
    text-overflow: ellipsis;
    /* Adds the '...' at the end of the text */
}

.copyright_text {

    color: #ffffffff;
    margin-top: 5px;
}

.custom-tooltip:hover::after {
    content: attr(data-title);
    background: #fdcc2a;
    color: #fff;
    padding: 3px 10px;
    border-radius: 4px;
    position: absolute;
    font-size: 12px;
    bottom: 0px;

}

/* matholoy */
.main_mathology {
    display: flex;
    gap: 10px;
    justify-content: space-evenly;
}

.math_top_pad {
    padding-top: 70px;
}

.math_bottom_pad {
    padding-bottom: 70px;
}

/*End matholoy */

/* Event Holidat */

.border_event {
    box-shadow:
        rgba(20, 20, 40, 0.6) -25px 25px 60px -10px inset,
        rgba(0, 0, 0, 0.8) -15px 15px 40px -15px inset;
    border-radius: 12px;
    border-top-left-radius: 100px;
    border-bottom-left-radius: 100px;
    font-weight: 700;
    color: white
}

.yellow_back {
    background-color: #fdcc2a;
}

.green_back {
    background: #1f935e;
}

.event_holiday_img {
    padding-left: 0px;
}

.img-event {
    border-radius: 68px;
    overflow: hidden;
    padding: 1px;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px, rgb(209, 213, 219) 0px 0px 0px 1px inset;
    max-height: 95px;
}

/* End Event Holidat */
.main_mathology {
    display: flex;
    justify-content: center;
}

@media(min-width:1400px) {
    .main_mathology img {
        width: 200px;
        height: 285px;
    }

    .main_mathology {
        gap: 26px;
    }
}


/* ---------------Index Banner--------------------- */



.animated-banner-card {
    position: relative;
    overflow: hidden;
    border-radius: 25px;
    padding: 10px;
    background: #222;
    display: flex;
    justify-content: center;
    align-items: center;
}


.animated-banner-card::before {
    content: '';
    position: absolute;
    width: 200%;
    height: 200%;
    background: conic-gradient(#007bff, #19db33, #eed33a);

    animation: rotateBorder 4s linear infinite;
}


.animated-banner-card img {
    position: relative;
    z-index: 1;
    border-radius: 10%;
    width: 100%;
}


@keyframes rotateBorder {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}



.animated-banner-card:hover::before {
    animation-play-state: paused;
}

/* ---------------------End Index Banner-------------------------- */


/*------------- Mission Vission------------------- */


.vision-mission-card {
    background: #fff;
    border-radius: 25px;
    padding: 30px;
    margin-bottom: 30px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    border-left: 15px solid #d61f07;

}

.vision-mission-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.1);
}


.icon-frame {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    border: 8px solid #f0f0f0;
    border-left-color: #d61f07;

    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    animation: pulse-border 3s infinite;
}

.mission-icon {
    border-left-color: #dc3545;

}




@keyframes pulse-border {
    0% {
        box-shadow: 0 0 0 0px rgba(0, 123, 255, 0.4),
            0 0 0 0px rgba(0, 123, 255, 0.1);
    }

    40% {

        box-shadow: 0 0 0 15px rgba(0, 123, 255, 0),
            0 0 0 0px rgba(0, 123, 255, 0.2);
    }

    80% {

        box-shadow: 0 0 0 20px rgba(0, 123, 255, 0),
            0 0 0 15px rgba(0, 123, 255, 0);
    }

    100% {
        box-shadow: 0 0 0 0px rgba(0, 123, 255, 0),
            0 0 0 0px rgba(0, 123, 255, 0);
    }
}

.icon-frame i,
.icon-frame img {
    font-size: 50px;
    transition: transform 0.3s ease;
}

.vision-mission-card:hover .icon-frame i {
    transform: scale(1.1) rotate(5deg);
}

/*--------------- End Mission Vission---------------- */


/*---------------- About Css ----------------------------*/
.about_pages .image-frame-container {
    position: relative;
    display: inline-block;
    padding: 15px;
    z-index: 1;
}


.about_pages .image-frame-container::before {
    content: '';
    position: absolute;
    top: 30px;
    left: 30px;
    right: 0;
    bottom: 0;
    border: 3px solid #198754;
    background-color: #96cab2;
    z-index: -1;
    transition: all 0.4s ease-in-out;
}


.about_pages .school-img {
    border: 10px solid #fff;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    transition: all 0.4s ease-in-out;
    border-radius: 4px;
}


.about_pages .image-frame-container:hover .school-img {
    transform: translate(-10px, -10px);
}

.about_pages .image-frame-container:hover::before {
    transform: translate(10px, 10px);
    background-color: rgba(25, 135, 84, 0.05);
}

/*---------------------- End About -----------------------------------------*/


section.banner-wrp_01:after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    background: #f3d00b78;
    width: 100%;
    z-index: 0;
}

section.banner-wrp_01 {
    /* background-image: url(https://resources.edunexttechnologies.com/web-data/takshila/dpspatna/internal.png); */
    /* padding: 50px 0; */
    background-position: center top;
    background-size: cover;
    position: relative;
}

h2.mb-2.slider-con-text.text-white {
    position:absolute;
    right: 5%;
    z-index: 99;
    text-shadow: 0 3px 6px #000000;
}

/* ---------------------Contact Css------------------------------ */
.contact-us_th-card-bg__NsVz2 {
    border-radius: 20px;
    background: var(--website-colour-white, #fff);
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .06);
}

.contact-us_th-form-layout__Fm56t {
    border-radius: 24px;
    border: 1px solid var(--gray-300, #d0d5dd);
    background: var(--website-colour-white, #fff);
}

.contact-us_th-form-input__hb6vS,
.contact-us_th-text-area__vY67U {
    border-radius: 10px;
    border: 1px solid var(--gray-300, #d0d5dd);
    background: var(--base-white, #fff);
    color: black;
    box-shadow: 0 1px 2px 0 rgba(16, 24, 40, .05);
}

.contact-us_th-form-input__hb6vS {
    height: 48px;
}


.contact-us_th-card-img-icon__Hkx1b {
    width: 56px;
    height: 56px;
    border-radius: 20000px;
    border: 1px solid green;
    background: green;
    box-shadow: 0 1px 2px 0 rgba(16, 24, 40, .05);
}

.breadcrumb-local_breadcrumbWrapper__sm2_6 {
    background-color: #fff;
    border-radius: 4px;
    padding: .5rem 1rem .5rem 3.5%;
}

.breadcrumb-local_breadcrumb__A9vvu {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    padding-left: 0;
    margin: 0;
}

.breadcrumb-local_active__AjcaC {
    font-weight: 700;
    color: #9d0022 !important;
}

.breadcrumb-local_breadcrumbItem___rKCD+.breadcrumb-local_breadcrumbItem___rKCD:before {
    content: "/";
    padding: 0 .5rem;
    color: #6c757d;
}


/*------------End Contact Css------------------- */


/* -----------------------Gallery Photo------------------------------------ */

.photo_gallery .collage-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;

    gap: 10px;
    position: relative;
    max-width: 800px;
    margin: auto;
}


.photo_gallery .grid-box,
.center-circle {
    overflow: hidden;
    border: 4px solid #fff;
   
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}

.photo_gallery .grid-box img,
.center-circle img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease;
}


.photo_gallery .center-circle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 120px;

    height: 120px;
    border-radius: 50%;
    z-index: 10;

   
    animation: border-glow 3s infinite ease-in-out;
    border: 8px solid #fff;
}


@keyframes border-glow {
    0% {
        box-shadow: 0 0 0 0px rgba(206, 16, 16, 0.7);
    }

    70% {
        box-shadow: 0 0 0 15px rgba(255, 255, 255, 0);
    }

    100% {
        box-shadow: 0 0 0 0px rgba(255, 255, 255, 0);
    }
}


@media (min-width: 768px) {
   .photo_gallery .collage-grid {
        grid-template-rows: 250px 250px;
    }

   .photo_gallery .center-circle {
        width: 250px;
    
        height: 250px;
    }

  .photo_gallery  .grid-box,
    .center-circle {
        border-width: 8px;
   
    }
}


.photo_gallery .grid-box:hover img,
.center-circle:hover img {
    transform: scale(1.1);
}

 .photo_gallery .grid-box:hover,
.center-circle:hover {
    z-index: 11;
    border-color: #f8f9fa;
}

/* ------------------------ Gallery Photo ---------------------------- */



















@media (max-width:768px) {

    .imageCardDiamond_imageCard__NlVZO {
        border-radius: 0px;
    }

    .inf2 {
        left: 0% !important;
        /* border-radius: 0px 45px 0px 0px !important; */
    }

    .infob2 .imageCardDiamond_yellowDiamond__OJhhd {

        top: -25px;
        left: 89%;
    }

    .infob3 .imageCardDiamond_overlay__ifuha {
        bottom: auto !important;
        top: 0% !important;
        /* border-radius: 0px 0px 0px 45px !important; */
    }

    .infob3 .imageCardDiamond_yellowDiamond__OJhhd {

        top: 29px !important;
        left: -17px !important;

    }


    .infob4 .imageCardDiamond_overlay__ifuha {
        top: 0% !important;
        bottom: auto !important;
        left: 0% !important;
        /* border-radius: 0px 0px 30px 0px !important; */
    }

    .infob4 .imageCardDiamond_yellowDiamond__OJhhd {
        top: 36px !important;
        left: 91% !important;
    }




    /* border-radius */
    .infob1 .imageCardDiamond_imageCard__NlVZO {
        border-top-left-radius: 60px !important;
    }

    .infob2 .imageCardDiamond_imageCard__NlVZO {
        border-top-right-radius: 60px !important;
    }

    .infob3 .imageCardDiamond_imageCard__NlVZO {
        border-bottom-left-radius: 60px !important;
    }

    .infob4 .imageCardDiamond_imageCard__NlVZO {
        border-bottom-right-radius: 60px !important;
    }

    .copyright_text {
        font-size: 12px;
        color: #ffffffff;
        margin-top: 5px;
    }

    .map_box iframe {
        width: 100%;
    }

    .footer_copyright_box__D_gN_ a p {
        font-size: 12px;
        padding-bottom: 0px;
        margin-bottom: 0px;

    }

    /* Matholoy */

    .main_mathology {
        flex-wrap: wrap;
        row-gap: 40px;
        column-gap: 20px;

    }

    .math_bottom_pad {
        padding-bottom: 0px !important;
        padding-top: 0px !important;
        position: relative;
        top: 52%;
    }

    .math_top_pad {
        padding-top: 0px !important;
        padding-bottom: 0px !important;
        position: relative;
    }

    .top_width {
        width: 45%;
        display: flex;
        justify-content: center;

    }

    .bottom_width {
        width: 45%;
        display: flex;
        justify-content: center;
    }

    .main_mathology:not(:last-child) {
        border-bottom: 1px solid #ccc;
    }

    .line1 {
        height: 5px;
        width: 35%;
        background-color: #e7c353;
        position: absolute;
        top: 22%;
        left: 30%;
    }

    .line2 {
        height: 5px;
        width: 35%;
        background-color: #e7c353;
        position: absolute;
        top: 37%;
        left: 30%;
    }

    .line3 {
        height: 5px;
        width: 35%;
        background-color: #e7c353;
        position: absolute;
        top: 55%;
        left: 30%;
    }

    .line4 {
        height: 5px;
        width: 35%;
        background-color: #e7c353;
        position: absolute;
        top: 72%;
        left: 30%;
    }

    .line5 {
        height: 5px;
        width: 35%;
        background-color: #e7c353;
        position: absolute;
        top: 88%;
        left: 30%;
    }

    /*End matholoy */

    /* Infrastructure */


    .info1 {
        align-items: flex-end !important;
    }

    .info3 {
        align-items: flex-end !important;
    }

    .inf1 {
        border-top-left-radius: 60px !important;
    }

    .inf2 {
        border-top-right-radius: 60px !important;
    }

    .inf3 {
        border-bottom-left-radius: 60px !important;
    }

    .inf4 {
        border-bottom-right-radius: 60px !important;
    }

    /* End Infrastructure */

    .padding_metho {
        padding: 50px 0px;

    }

}

@media(max-width:567px) {
    .padding_metho {
        padding: 20px 0px;

    }
    p {
        font-size: 14px !important;
    }
}

@media(max-width:420px) {

    .height_slider {
        height: 472px;
    }

    .home_slider_text_box {

        height: 100%;
        display: flex;
        justify-content: space-evenly;
        flex-direction: column;
        align-items: center;
    }



    .img-event {
        max-height: 95px;
    }

    .padding_metho {
        padding: 0px 0px;

    }

}








/* banner */


@media (min-width: 768px) {
    section.banner-wrp_01 {
        padding: 170px 0;
    }

    section.banner-wrp_01:after {
        max-width: min(60%, 450px);
        clip-path: polygon(27% 0, 100% 0, 100% 100%, 0 100%);
    }
}



@media only screen and (max-width: 767px) {
    section.banner-wrp_01 {
        padding: 70px 0;
    }

    .contact-us_th-form-input__hb6vS {
        height: 38px;
    }

    .slider-con-text {
                right: 5%;
                position: absolute;
            }

}

@media only screen and (max-width: 420px) {
    section.banner-wrp_01 {
        padding: 70px 0;
    }
    .slider-con-text {
        bottom: 32%;
    }
}